Subject: Re: bug#30437: No “.guix-profile/bin/python” after ‘guix package -i python’

From: Efraim Flashner <[email-masked]>
Date: Mon, 12 Feb 2018 20:29:52 +0200

On Mon, Feb 12, 2018 at 06:23:07PM +0100, Danny Milosavljevic wrote:
> Hi Mathieu,
> 
> On Mon, 12 Feb 2018 17:52:41 +0100
> Mathieu Lirzin <[email-masked]> wrote:
> 
> > I think it would work better if when installing python@3, a ‘python’
> > executable would be available in the PATH.  Maybe there is a technical
> > reason for not doing so, but I find its absence rather confusing.
> 
> For backward compatibility, the 'python' executable always has to be Python 2.
> 
> A lot of old scripts specify just "/usr/bin/env python" in the shebang.
> 
> On the other hand if your script supports Python 3 you know it.
> 

We do also have the 'python-wrapper' package which uses python3 as
python

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted